Mulgara - Feature #73

Provide access to Mulgara's transaction api via a JTA XAResource Adaptor

10/16/2007 04:33 AM - Andrae Muys -

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Andrae Muys - % Done: 0%

Category: Mulgara Estimated time: 0.00 hour

Target version: JTA Support

Resolution: fixed

Description

Provide a JTA XAResource that provides access to Mulgara transactions - this will permit Mulgara t

o participate in externally mediated distributed transactions.

So this would permit mulgara trans

actions to be synchronised with mysqgl/postgres/J2EE transactions.

Associated revisions

Revision 622 - 01/14/2008 07:33 AM - Andrae Muys -

refs #73
sync's branch with trunk
merge -r 479:619 trunk/ .

Also improves the use of generics in Session which caused a problem with the
merge. insert/delete now take <? extends Triple> instead of <Triple>, and the
Query constructor now takes List<? extends SelectElement> instead of
List<Object>.

Note: This commit is untested, will test shortly.

Revision 623 - 01/14/2008 08:08 AM - Andrae Muys -

refs #73

The merge seems to have broken the JTA support - this commit fixes some changes
made to the formatting of error messages.

Revision 624 - 01/14/2008 09:32 AM - Andrae Muys -

refs #73

With this release the JTA branch now enters beta.

With this commit the merger with trunk now tests 100% - please hammer this

version. | will give it a week or two and then update trunk and close this
branch.

Revision 625 - 01/14/2008 10:04 AM - Andrae Muys -
refs #73

Opps, missed this - needed to uncomment a section of the build file that had
been commented out to disable some unittests during development.

Revision 678 - 03/17/2008 03:35 AM - Andrae Muys -

refs #73
refs #85

svn merge -r 619:625 ../../trunk/ .
Revision 626 and 627 merged earlier by ronald.

Revision 679 - 03/17/2008 04:18 AM - Andrae Muys -

refs #73
refs #85

03/13/2024

1/4




svn merge -r 627:675 ../../trunk/ .

This brings mgr-73 in sync with trunk just prior to the large log4j commit by
ronald.

conflicts fixed: build.xml, common.xml - everything else merged cleanly.

Revision 680 - 03/17/2008 08:12 AM - Andrae Muys -

refs #73
refs #85

Fixes up some incompatibilities with updated jar-files in trunk/
Specifically trouble with the jotm upgrade, and the wsdl upgrade.

Revision 681 - 03/17/2008 08:19 AM - Andrae Muys -

refs #73
refs #85

svn merge -r 675:677 ../../trunk/ .
This brings the mgr-73 branch in sync with trunk.

Revision 688 - 03/18/2008 01:24 AM - Andrae Muys -

refs #73
refs #85

Cleanup prior to legal review.

Revision 690 - 03/18/2008 07:02 AM - Andrae Muys -

refs #73
refs #85

Updates copyright notices and javadocs to reflect new work.

Revision 691 - 03/18/2008 09:32 AM - Andrae Muys -

refs #73
refs #85

Final merge of the JTA development into trunk.

History

#1 - 10/16/2007 04:33 AM - Andrae Muys -

See <a href="http://www.netymon.com/papers/JTA-Integration-Proposal.pdf">
http://www.netymon.com/papers/JTA-Integration-Proposal.pdf</a>

#2 - 01/14/2008 07:33 AM - Andrae Muys -

(In r622) refs #73
sync's branch with trunk
merge -r 479:619 trunk/ .

Also improves the use of generics in Session which caused a problem with the
merge. insert/delete now take <? extends Triple> instead of <Triple>, and the
Query constructor now takes List<? extends SelectElement> instead of
List<Object>.

Note: This commit is untested, will test shortly.

#3 - 01/14/2008 08:08 AM - Andrae Muys -

(In r623) refs #73

The merge seems to have broken the JTA support - this commit fixes some changes
made to the formatting of error messages.

#4 - 01/14/2008 09:32 AM - Andrae Muys -
(In r624) refs #73
With this release the JTA branch now enters beta.
With this commit the merger with trunk now tests 100% - please hammer this

version. | will give it a week or two and then update trunk and close this
branch.

#5 - 01/14/2008 10:04 AM - Andrae Muys -
(In r625) refs #73

Opps, missed this - needed to uncomment a section of the build file that had
been commented out to disable some unittests during development.

#6 - 03/08/2008 02:16 AM - Andrae Muys -
- Status changed from In Progress to Closed

- Resolution set to fixed

#7 - 03/17/2008 03:35 AM - Andrae Muys -

(In r678) refs #73
refs #85

svn merge -r 619:625 ../../trunk/ .
Revision 626 and 627 merged earlier by ronald.

#8 - 03/17/2008 04:18 AM - Andrae Muys -

(In r679) refs #73
refs #85

svn merge -r 627:675 ../../trunk/ .

This brings mgr-73 in sync with trunk just prior to the large log4j commit by
ronald.

conflicts fixed: build.xml, common.xml - everything else merged cleanly.

#9 - 03/17/2008 08:12 AM - Andrae Muys -

(In r680) refs #73
refs #85

Fixes up some incompatibilities with updated jar-files in trunk/
Specifically trouble with the jotm upgrade, and the wsdl upgrade.

#10 - 03/17/2008 08:19 AM - Andrae Muys -

(In r681) refs #73
refs #85

svn merge -r 675:677 ../../trunk/ .
This brings the mgr-73 branch in sync with trunk.

#11 - 03/18/2008 01:24 AM - Andrae Muys -

(In r688) refs #73
refs #85

Cleanup prior to legal review.

#12 - 03/18/2008 07:02 AM - Andrae Muys -

(In r690) refs #73
refs #85

Updates copyright notices and javadocs to reflect new work.
#13 - 03/18/2008 09:32 AM - Andrae Muys -

(In r691) refs #73
refs #85
Final merge of the JTA development into trunk.
